View Issue Details

IDProjectCategoryView StatusLast Update
0000132Cinelerra-GG[All Projects] Featurepublic2019-08-18 16:44
ReporterterjeAssigned ToSam 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version2019-04Fixed in Version2019-04 
Summary0000132: Turn the [email protected] mailing list into a searchable mail archive
DescriptionIs someone capable to turn (extend) the growing https://lists.cinelerra-gg.org/pipermail/cin/ into a searchable mail archive and get broader publishing?

https://www.mail-archive.com/
The Mail Archive turns your mailing list into a searchable archive
Search the archived lists
Search 148855091 archived postings, 3539 active mailing lists.
Archive your mailing list
Looking for an easy way to turn your mailing list into a searchable archive? Just add The Mail Archive as a member to your mailing list as described in the how-to-guide.
https://www.mail-archive.com/faq.html#newlist

As a related sample, the (Old) [email protected] list is searchable, and many interesting Cinelerra subjects from the past can be looked up here in a quick and easy way.
https://www.mail-archive.com/[email protected]/
TagsFeature request, HELP needed, searchable mail archive

Activities

PhyllisSmith

PhyllisSmith

2019-08-18 16:44

manager   ~0002028

Works well - and I meant to close this (going through issues this week to re-assess).
Sam

Sam

2019-04-21 11:34

administrator   ~0001401

The desired feature has been integrated so that this ticket can be closed.
Sam

Sam

2019-04-20 19:54

administrator   ~0001390

I changed the mail archive search again. https://www.cinelerra-gg.org/search-mail-archives/

The search via DuckDuckGo was really bad, because the content was never indexed correctly. I activated the service via Mail Archive https://www.mail-archive.com/[email protected]/index.html . All new emails from April 2019 onwards will be indexed and searchable. The emails before this date are not indexed, but at least the new messages will be archived.

On the support page (https://www.cinelerra-gg.org/support/) I have put a link. The search page can now be found in the menu.

I wouldn't like to change our Archive HMTL page, there is no option in Mailman, at least I haven't found any how to change it on the backend page. I would have to change them directly on the server. I'm not sure if it will be reset at the next update. I also leave such things on default to avoid accidentally creating security holes. I think who really wants to search has enough options to do it now.

I have put a link to the old CV archive on the search page.
Sam

Sam

2019-03-17 13:25

administrator   ~0001232

I just added the mail archives to the Search Console yesterday, that usually triggers the indexing of the content after a few days, so it takes some time until all posts are visible. At the moment there are very few posts available.

Thanks for your suggestions, I'm happy to try them out. But I won't be able to implement it until the end of the week.
terje

terje

2019-03-17 10:37

reporter   ~0001231

@ Sam
Thank you for doing that!
I did a search test a got one hit, but not on a couple of others. The archive indexing is a time consuming process as mentioned.

Add-on suggestions/questions:

1. Publish this search feature on the GG site (Support>Mailing list ...Cin Info page) and add it on top of the Mail archives site, optionally also add it in the foot note on received Mails https://lists.cinelerra-gg.org/pipermail/cin/

2. When this GG mail archive is ready, would it be possible (an idea) to link also the Cinelerra cv mailing list archive, as it contains several cingg related topics and a lot of generic Cinelerra topics https://lists.cinelerra-cv.org/pipermail/cinelerra/
Sam

Sam

2019-03-17 00:27

administrator   ~0001225

@terje @PhyllisSmith
I have linked the mail archive with the DuckDuckGo search engine, i.e. we can now also search the mail archive. However, I have to emphasize that many posts have not yet been indexed. Indexing takes a long time, but once it's done, you can use this feature. An own search script which searches this archive was out of the question for security and performance reasons.

By the way, the Google search is even worse when indexing such mailing archives, so I included DuckDuckGo.

https://www.cinelerra-gg.org/search-mail-archives/
https://lists.cinelerra-gg.org/mailman/listinfo/cin

Issue History

Date Modified Username Field Change
2019-02-09 19:55 terje New Issue
2019-02-09 19:55 terje Tag Attached: Feature request
2019-02-09 19:55 terje Tag Attached: searchable mail archive
2019-02-11 16:21 PhyllisSmith Tag Attached: HELP needed
2019-03-17 00:26 Sam Assigned To => Sam
2019-03-17 00:26 Sam Status new => assigned
2019-03-17 00:27 Sam Status assigned => confirmed
2019-03-17 00:27 Sam Note Added: 0001225
2019-03-17 10:37 terje Note Added: 0001231
2019-03-17 13:25 Sam Note Added: 0001232
2019-04-20 19:54 Sam Note Added: 0001390
2019-04-21 11:34 Sam Status confirmed => resolved
2019-04-21 11:34 Sam Resolution open => fixed
2019-04-21 11:34 Sam Fixed in Version => 2019-04
2019-04-21 11:34 Sam Note Added: 0001401
2019-04-21 12:50 Sam Target Version => 2019-04
2019-08-18 16:44 PhyllisSmith Status resolved => closed
2019-08-18 16:44 PhyllisSmith Note Added: 0002028